package land

import "github.com/veandco/go-sdl2/sdl"

type BaseWidget struct {
	BaseObject

	IsVisible bool
	Position  Vector2D
	Size      Vector2D
}

func (p *BaseWidget) Draw(pen *sdl.Renderer) {
}

func (p *BaseWidget) GetPosition() Vector2D {
	return p.Position
}

func (p *BaseWidget) GetSize() Vector2D {
	return p.Size
}
